Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
parse
/
batch
Create Batch Parse Job
curl --request POST \
  --url https://api.example.com/v1/projects/{project_id}/parse/batch \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-selected-account-id: <api-key>' \
  --data '
{
  "parameters": {
    "options": {
      "chunking": {
        "chunk_mode": "variable",
        "chunk_size": 123
      }
    },
    "engine": "reducto",
    "chunking_options": {
      "strategy": "token_size",
      "chunk_size": 512,
      "chunk_overlap": 50,
      "encoding_name": "cl100k_base"
    },
    "vector_store_metadata": {},
    "advanced_options": {},
    "experimental_options": {},
    "priority": false
  },
  "source_document_ids": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "project_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "object": "job",
  "source_id": "<string>",
  "correlation_id": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "result": {},
  "progress": {
    "total": 123,
    "succeeded": 123,
    "failed": 123,
    "cancelled": 123,
    "pending": 123,
    "child_jobs": [
      {
        "source_document_id": "<string>",
        "job_id": "<string>",
        "parse_result_id": "<string>",
        "error": "<string>"
      }
    ]
  },
  "error": "<string>",
  "history": [
    {
      "step": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "status": "<string>",
      "details": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Query Parameters

beta_enable_iris2
boolean
default:false

Enable Iris2 engine for beta testing

Body

application/json

Request model for creating a batch parse job across multiple files.

parameters
ReductoParseJobParams · object
required

Parameters for creating a parse job.

source_document_ids
string[] | null

File IDs to parse. If None, all uploaded project files are parsed.

Response

Successful Response

Job response model representing an asynchronous operation.

id
string
required

ID of the entity

project_id
string
required

ID of the project

operation
enum<string>
required

Operation type (e.g., 'parse')

Available options:
parse,
batch_parse,
extract,
research,
vector_store,
chunk,
summarization,
create_index,
update_index
status
enum<string>
required

Current job status

Available options:
pending,
running,
succeeded,
partially_succeeded,
failed,
cancelled
created_at
string<date-time>
required

When the job was created

object
string
default:job
Allowed value: "job"
source_id
string | null

Source document/file ID

correlation_id
string | null

Request correlation ID for tracing

started_at
string<date-time> | null

When the job started processing

completed_at
string<date-time> | null

When the job completed

result
Result · object

Job result payload when completed

progress
BatchParseProgress · object

Live progress payload (used by batch jobs)

error
string | null

Error message if job failed

history
JobHistoryEvent · object[] | null

Timeline of job execution events